#ifndef LIB_CORE_CORE_H_
#define LIB_CORE_CORE_H_

#include <cstdio>
#include <cstdlib>
#include <cassert>
#include <cstdint>

#if defined(_OPENMP)
#include <omp.h>
#endif

// default floating point precision
typedef double Real;

template <typename T>
inline bool is_float(T) { return false;}
inline bool is_float(float) { return true;}

template <typename T>
inline bool is_double(T) { return false;}
inline bool is_double(double) { return true;}

template <typename T>
inline bool is_real(T) {
  return is_float(T(0)) || is_double(T(0));
}

#endif  // LIB_CORE_CORE_H_
