#include "bernoulli_mixture.h"

BernoulliMixture::BernoulliMixture(int ncomp, int nvar)
    :ExponentialFamilyMixture<Bernoulli>::ExponentialFamilyMixture(ncomp) {
  for (int k = 0; k < ncomp_; ++k) {
    components_[k] = new Bernoulli(nvar);
  }
}

BernoulliMixture::~BernoulliMixture() {
}

Real
BernoulliMixture::min_phit(void) {
  assert(ncomp_ > 0);
  return components_[0]->min_phit();
}

void
BernoulliMixture::set_min_phit(const Real min_phit) {
  for (int k = 0; k < ncomp_; ++k) {
    components_[k]->set_min_phit(min_phit);
  }
}

#ifdef _PYTHON
EXPONENTIAL_FAMILY_MIXTURE_IMPLEMENT_CFN(BernoulliMixture)
Real BernoulliMixture_min_phit(BernoulliMixture* obj) {
  return obj->min_phit();
}
void BernoulliMixture_set_min_phit(BernoulliMixture* obj, const Real min_phit) {
  return obj->set_min_phit(min_phit);
}
#endif
