#ifndef LIB_ML_BERNOULLI_MIXTURE_H_
#define LIB_ML_BERNOULLI_MIXTURE_H_

#include "bernoulli.h"
#include "exponential_family_mixture.h"

class BernoulliMixture: public ExponentialFamilyMixture<Bernoulli> {
 public:
  BernoulliMixture(int ncomp, int nvar);

  virtual ~BernoulliMixture();

  Real min_phit(void);

  void set_min_phit(const Real min_phit);

 protected:
};

// TODO(...): instructions for mixture instantiation
#ifdef _PYTHON
#include "exponential_family_mixture-inl.h"
EXPONENTIAL_FAMILY_MIXTURE_DECLARE_CFN(BernoulliMixture)
extern "C" {
  Real BernoulliMixture_min_phit(BernoulliMixture* obj);
  void BernoulliMixture_set_min_phit(BernoulliMixture* obj, const Real min_phit);
}
#endif

#endif  // LIB_ML_BERNOULLI_MIXTURE_H_
