#include "gaussian_mixture.h"

GaussianMixture::GaussianMixture(int ncomp, int nvar)
    :ExponentialFamilyMixture<Gaussian>::ExponentialFamilyMixture(ncomp) {
  for (int k = 0; k < ncomp_; ++k) {
    components_[k] = new Gaussian(nvar);
  }
}

GaussianMixture::~GaussianMixture() {
}

Real
GaussianMixture::min_var(void) {
  assert(ncomp_ > 0);
  return components_[0]->min_var();
}

void
GaussianMixture::set_min_var(const Real min_var) {
  for (int k = 0; k < ncomp_; ++k) {
    components_[k]->set_min_var(min_var);
  }
}

#ifdef _PYTHON
EXPONENTIAL_FAMILY_MIXTURE_IMPLEMENT_CFN(GaussianMixture)
Real GaussianMixture_min_var(GaussianMixture* obj) {
  return obj->min_var();
}
void GaussianMixture_set_min_var(GaussianMixture* obj, const Real min_var) {
  return obj->set_min_var(min_var);
}
#endif
