#ifndef LIB_ML_GAUSSIAN_MIXTURE_H_
#define LIB_ML_GAUSSIAN_MIXTURE_H_

#include "gaussian.h"
#include "exponential_family_mixture.h"

class GaussianMixture: public ExponentialFamilyMixture<Gaussian> {
 public:
  GaussianMixture(int ncomp, int nvar);

  virtual ~GaussianMixture();

  Real min_var(void);

  void set_min_var(const Real min_var);

 protected:
};

#ifdef _PYTHON
#include "exponential_family_mixture-inl.h"
EXPONENTIAL_FAMILY_MIXTURE_DECLARE_CFN(GaussianMixture)
extern "C" {
  Real GaussianMixture_min_var(GaussianMixture* obj);
  void GaussianMixture_set_min_var(GaussianMixture* obj, const Real min_var);
}
#endif

#endif  // LIB_ML_GAUSSIAN_MIXTURE_H_
