#include "laplace_mixture.h"

LaplaceMixture::LaplaceMixture(int ncomp, int nvar)
    :ExponentialFamilyMixture<Laplace>::ExponentialFamilyMixture(ncomp) {
  for (int k = 0; k < ncomp_; ++k) {
    components_[k] = new Laplace(nvar);
  }
}

LaplaceMixture::~LaplaceMixture() {
}

Real
LaplaceMixture::min_scale(void) {
  assert(ncomp_ > 0);
  return components_[0]->min_scale();
}

void
LaplaceMixture::set_min_scale(const Real min_scale) {
  for (int k = 0; k < ncomp_; ++k) {
    components_[k]->set_min_scale(min_scale);
  }
}

#ifdef _PYTHON
EXPONENTIAL_FAMILY_MIXTURE_IMPLEMENT_CFN(LaplaceMixture)
Real LaplaceMixture_min_scale(LaplaceMixture* obj) {
  return obj->min_scale();
}
void LaplaceMixture_set_min_scale(LaplaceMixture* obj, const Real min_scale) {
  return obj->set_min_scale(min_scale);
}
#endif
