#ifndef LIB_ML_LAPLACE_MIXTURE_H_
#define LIB_ML_LAPLACE_MIXTURE_H_

#include "laplace.h"
#include "exponential_family_mixture.h"

class LaplaceMixture: public ExponentialFamilyMixture<Laplace> {
 public:
  LaplaceMixture(int ncomp, int nvar);

  virtual ~LaplaceMixture();

  Real min_scale(void);

  void set_min_scale(const Real min_scale);

 protected:
};

// TODO(...): instructions for mixture instantiation
#ifdef _PYTHON
#include "exponential_family_mixture-inl.h"
EXPONENTIAL_FAMILY_MIXTURE_DECLARE_CFN(LaplaceMixture)
extern "C" {
  Real LaplaceMixture_min_scale(LaplaceMixture* obj);
  void LaplaceMixture_set_min_scale(LaplaceMixture* obj, const Real min_scale);
}
#endif

#endif  // LIB_ML_LAPLACE_MIXTURE_H_
