#ifndef _LIB_ML_LRPDD_OPT_H_
#define _LIB_ML_LRPDD_OPT_H_

#include "../core/core.h"

#ifdef _PYTHON
extern "C" {
  Real lrpdd_opt(const int k, const int nsamples, const int ndim,
                 const Real* X, const Real* VarX, const Real *p,
                 Real *grad);

  Real lrpdd_f(const int k, const int nsamples, const int ndim,
               const Real* X, const Real *p) {
    return lrpdd_opt(k, nsamples, ndim, X, NULL, p, NULL);
  }

  void lrpdd_fprime(const int k, const int nsamples, const int ndim,
                    const Real* X, const Real* VarX, const Real *p,
                    Real *grad)  {
    lrpdd_opt(k, nsamples, ndim, X, VarX, p, grad);
  }
}
#endif

#endif /* _LIB_ML_LRPDD_OPT_H_ */
