#ifndef LIB_ML_MULTINOMIAL_MIXTURE_H_
#define LIB_ML_MULTINOMIAL_MIXTURE_H_

#include "multinomial.h"
#include "exponential_family_mixture.h"

class MultinomialMixture: public ExponentialFamilyMixture<Multinomial> {
 public:
  MultinomialMixture(int ncomp, int nvar);

  virtual ~MultinomialMixture();

  uint32_t ntrials(void);

  void set_ntrials(const uint32_t ntrials);

  Real min_p(void);

  void set_min_p(const Real min_p);

 protected:
};

// TODO(...): instructions for mixture instantiation
#ifdef _PYTHON
#include "exponential_family_mixture-inl.h"
EXPONENTIAL_FAMILY_MIXTURE_DECLARE_CFN(MultinomialMixture)
extern "C" {
  uint32_t MultinomialMixture_ntrials(MultinomialMixture* obj);
  void MultinomialMixture_set_ntrials(MultinomialMixture* obj, const uint32_t ntrials);
  Real MultinomialMixture_min_p(MultinomialMixture* obj);
  void MultinomialMixture_set_min_p(MultinomialMixture* obj, const Real min_p);
}
#endif

#endif  // LIB_ML_MULTINOMIAL_MIXTURE_H_
