#include "poisson_mixture.h"

PoissonMixture::PoissonMixture(int ncomp, int nvar)
    :ExponentialFamilyMixture<Poisson>::ExponentialFamilyMixture(ncomp) {
  for (int k = 0; k < ncomp_; ++k) {
    components_[k] = new Poisson(nvar);
  }
}

PoissonMixture::~PoissonMixture() {
}

Real
PoissonMixture::min_lambda(void) {
  assert(ncomp_ > 0);
  return components_[0]->min_lambda();
}

void
PoissonMixture::set_min_lambda(const Real min_lambda) {
  for (int k = 0; k < ncomp_; ++k) {
    components_[k]->set_min_lambda(min_lambda);
  }
}

#ifdef _PYTHON
EXPONENTIAL_FAMILY_MIXTURE_IMPLEMENT_CFN(PoissonMixture)
Real PoissonMixture_min_lambda(PoissonMixture* obj) {
  return obj->min_lambda();
}
void PoissonMixture_set_min_lambda(PoissonMixture* obj,
                                   const Real min_lambda) {
  return obj->set_min_lambda(min_lambda);
}
#endif
