#ifndef LIB_ML_POISSON_MIXTURE_H_
#define LIB_ML_POISSON_MIXTURE_H_

#include "poisson.h"
#include "exponential_family_mixture.h"

class PoissonMixture: public ExponentialFamilyMixture<Poisson> {
 public:
  PoissonMixture(int ncomp, int nvar);

  virtual ~PoissonMixture();

  Real min_lambda(void);

  void set_min_lambda(const Real min_lambda);

 protected:
};

// TODO(...): instructions for mixture instantiation
#ifdef _PYTHON
#include "exponential_family_mixture-inl.h"
EXPONENTIAL_FAMILY_MIXTURE_DECLARE_CFN(PoissonMixture)
extern "C" {
  Real PoissonMixture_min_lambda(PoissonMixture* obj);
  void PoissonMixture_set_min_lambda(PoissonMixture* obj,
                                     const Real min_lambda);
}
#endif

#endif  // LIB_ML_POISSON_MIXTURE_H_
