#include "wishart_mixture.h"

WishartMixture::WishartMixture(int ncomp, int nvar)
    :ExponentialFamilyMixture<Wishart>::ExponentialFamilyMixture(ncomp) {
  for (int k = 0; k < ncomp_; ++k) {
    components_[k] = new Wishart(nvar);
  }
}

WishartMixture::~WishartMixture() {
}

Real
WishartMixture::dof(void) {
  assert(ncomp_ > 0);
  return components_[0]->dof();
}

void
WishartMixture::set_dof(const Real dof) {
  for (int k = 0; k < ncomp_; ++k) {
    components_[k]->set_dof(dof);
  }
}

#ifdef _PYTHON
EXPONENTIAL_FAMILY_MIXTURE_IMPLEMENT_CFN(WishartMixture)
Real WishartMixture_dof(WishartMixture* obj) {
  return obj->dof();
}
void WishartMixture_set_dof(WishartMixture* obj, const Real dof) {
  return obj->set_dof(dof);
}
#endif
