#ifndef LIB_ML_WISHART_MIXTURE_H_
#define LIB_ML_WISHART_MIXTURE_H_

#include "wishart.h"
#include "exponential_family_mixture.h"

class WishartMixture: public ExponentialFamilyMixture<Wishart> {
 public:
  WishartMixture(int ncomp, int nvar);

  virtual ~WishartMixture();

  Real dof(void);

  void set_dof(const Real dof);

 protected:
};

// TODO(...): instructions for mixture instantiation
#ifdef _PYTHON
#include "exponential_family_mixture-inl.h"
EXPONENTIAL_FAMILY_MIXTURE_DECLARE_CFN(WishartMixture)
extern "C" {
  Real WishartMixture_dof(WishartMixture* obj);
  void WishartMixture_set_dof(WishartMixture* obj, const Real dof);
}
#endif

#endif  // LIB_ML_WISHART_MIXTURE_H_
