__all__ = ['VOC2007', 'Brodatz32', 'Scenes15', 'IndoorScenes', 'Caltech256',
           'CUB200', 'UKBench', 'UIUC_Sports', 'KTH_TIPS2', 'SUN397']

PIL_EXTENSIONS = ('.jpg', '.jpeg', '.png', '.gif', '.tif', '.tiff', '.pnm',
                  '.pbm', '.pgm', '.bmp')
PIL_SAFE = False  # if True, checks that all images can be read with PIL. If
                  # False, checks if the file type is one of the above

from .pascal_voc import VOC2007
from .brodatz32 import Brodatz32
from .scenes_15 import Scenes15
from .indoor_scenes import IndoorScenes
from .caltech256 import Caltech256
from .cub200 import CUB200
from .ukbench import UKBench
from .uiuc_sports import UIUC_Sports
from .kth_tips2 import KTH_TIPS2
from .sun397 import SUN397
